Bug 670162 - [RFE] Removing the backing file using qemu-img re-base
Summary: [RFE] Removing the backing file using qemu-img re-base
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Kevin Wolf
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 576121
Blocks: 580954 756082
TreeView+ depends on / blocked
 
Reported: 2011-01-17 12:13 UTC by Kevin Wolf
Modified: 2013-11-21 05:42 UTC (History)
16 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.369.el6
Doc Type: Enhancement
Doc Text:
New feature for removing the backing file using qemu-img rebase command has been implemented, this means that backing file won't be necessary but no data loss will occur when writing the rebase command.
Clone Of: 576121
Environment:
Last Closed: 2013-11-21 05:42:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1553 normal SHIPPED_LIVE Important: qemu-kvm security, bug fix, and enhancement update 2013-11-20 21:40:29 UTC

Comment 16 Shaolong Hu 2013-06-24 06:07:53 UTC
Verified on qemu-kvm-0.12.1.2-2.375.el6.x86_64:

1.
[root@localhost ~]# qemu-img create -f qcow2 base 10G
Formatting 'base', fmt=qcow2 size=10737418240 encryption=off cluster_size=65536 

[root@localhost ~]# qemu-img create -F qcow2 -f qcow2 -b base sn1 10G
Formatting 'sn1', fmt=qcow2 size=10737418240 backing_file='base' backing_fmt='qcow2' encryption=off cluster_size=65536 

[root@localhost ~]# qemu-img create -F qcow2 -f qcow2 -b sn1 sn2 10G
Formatting 'sn2', fmt=qcow2 size=10737418240 backing_file='sn1' backing_fmt='qcow2' encryption=off cluster_size=65536 

2.
[root@localhost ~]# qemu-img rebase -F qcow2 -f qcow2 -b base sn2

[root@localhost ~]# qemu-img info sn2
image: sn2
file format: qcow2
virtual size: 10G (10737418240 bytes)
disk size: 196K
cluster_size: 65536
backing file: base

3.
[root@localhost ~]# qemu-img rebase -F qcow2 -f qcow2 -b "" sn2

[root@localhost ~]# qemu-img info sn2
image: sn2
file format: qcow2
virtual size: 10G (10737418240 bytes)
disk size: 196K
cluster_size: 65536

Comment 20 errata-xmlrpc 2013-11-21 05:42:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1553.html


Note You need to log in before you can comment on or make changes to this bug.